@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

    
    *{
        font-family: 'Poppins', sans-serif;
        margin: 0;
        padding: 0;
    }

.container{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-around;
    /* background: rgba(255, 255, 255, 0.1); */
    padding: 2em 0px 2em 0px;
    width: 100%;
}
.elemento{
    width: 200px;
    height: 200px;
    margin: 10px;
}

@media screen and (max-width: 720px){
    .desk{
        display: none;
    }
    .mobile{display: flex;}
    .container{
        justify-content: center;
    }
    .elemento{
        width: 150px;
        height: 150px;
        margin: 0;
        display: flex;
        justify-content: center;
    }
    .elemento .slideshow{
        width: 140px;
        height: 140px;
    }
}
@media screen and (min-width: 720px){
    .mobile{
        display: none;
    }
    .desk{display: flex;}
}

.slideshow{
    position: relative;
    width: 200px;
    height: 200px;
    transform-style: preserve-3d;
    perspective: 1000px;
}
.slideshow .slide{
    position: absolute;
    inset: 0;
    display: flex;
    justify-content: start;
    align-items: start;
    transform: rotateY(270deg);
    transform-style: preserve-3d;
    animation: animater 37s linear infinite;
    animation-delay: calc(var(--i) * 3.7s);
}
@keyframes animater
{
    0%
    {
        transform: rotateY(270deg);
    }
    10%,100%
    {
        transform: rotateY(90deg);
    }
}
.slideshow .slide img{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 20px;
}
.slideshow .slide h2{
    position: relative;
    z-index: 1000;
    color: #fff;
    font-size: 4em;
    transform: rotateY(180deg) translateY(105px) translateZ(25px);
    transform-style: preserve-3d;
    backface-visibility: hidden;
    font-weight: 900;
    -webkit-text-stroke: 1px #000;
}
.slideshow .slide h2 span{
    position: absolute;
    top: 50%;
    left: 0;
    font-size: 0.5em;
    font-weight: 500;
    transform: translate(0,50%) translateZ(25px);
    backface-visibility: hidden;
}